var CALENDAR_LIST_FEED_URL = "http://dionysus.efestivals.co.uk/rss/nokia_ef_festivals_list.xml";
var NEWS_LIST_FEED_URL = "http://dionysus.efestivals.co.uk/rss/efestivals_news.xml"; 

var uiManager = null;
var mainView = null;
var splashView = null;
var newsFeedView = null;
var festivalCalendarView = null;
var friendFlasherMenuView = null;
var chooseFlasherColorView = null;
var barBrainMenuView = null;
var chooseDrinksView = null;
var chooseDrinksArea = null;
var spiritMixerView = null;
var softDrinkOptionView = null;
var addDrinkOptionView = null;
var yourOrderView = null;
var flashView = null;
// Reference to controls in the main view.
var barBrainButton = null;
var friendFlasherButton = null;
var festivalCalendarButton = null;
var quitButton = null;
var tabOrderTotalQuantity = null;
var orderTotalQuantity = 0;

var dateLabel;
var newsLabel;
var calendarFirst;
var newsFirst;
var colourArray = new Array();

colourArray[0] = "colourPurple";
colourArray[1] = "colourYellow";
colourArray[2] = "colourRed";
colourArray[3] = "colourPink";
colourArray[4] = "colourOrange";
colourArray[5] = "colourIndigo";
colourArray[6] = "colourGreen";
colourArray[7] = "colourBlue";
colourArray[8] = "colourBlack";

var colourArrayNames = new Array();

colourArrayNames[0] = "purple";
colourArrayNames[1] = "yellow";
colourArrayNames[2] = "red";
colourArrayNames[3] = "pink";
colourArrayNames[4] = "orange";
colourArrayNames[5] = "indigo";
colourArrayNames[6] = "green";
colourArrayNames[7] = "blue";
colourArrayNames[8] = "black";

var colourArrayValues = new Array();
colourArrayValues[0] = "#9b00fe";
colourArrayValues[1] = "#fefb00";
colourArrayValues[2] = "#fe0000";
colourArrayValues[3] = "#ff00d8";
colourArrayValues[4] = "#ff9900";
colourArrayValues[5] = "#0006fe";
colourArrayValues[6] = "#06fe00";
colourArrayValues[7] = "#00fbfe";
colourArrayValues[8] = "#000000";

var savedChooseDrinksQuantities = new Array();
var chooseDrinksQuantities = new Array();
chooseDrinksQuantities[0] = 0;
chooseDrinksQuantities[1] = 0;
chooseDrinksQuantities[2] = 0;
chooseDrinksQuantities[3] = 0;
chooseDrinksQuantities[4] = 0;
chooseDrinksQuantities[5] = 0;

//var addDrinksQuantities = new Array();
//var addDrinksNames = new Array();

var selectSpirit = null;

var selectSpiritOptions = [
	{ value: "0", text: "Select spirit" },
	{ value: "1", text: "Vodka" },
	{ value: "2", text: "Whisky" },
	{ value: "3", text: "Gin" },
	{ value: "4", text: "Rum" }
];			


var selectMixer = null;

var selectMixerOptions = [			
	{ value: "0", text: "Select mixer" },
	{ value: "1", text: "Coca-Cola" },
	{ value: "2", text: "Diet Coca-Cola" },
	{ value: "3", text: "Lemonade" },
	{ value: "4", text: "Ginger beer" },
	{ value: "5", text: "Orange juice" },
	{ value: "6", text: "Apple juice" },
	{ value: "7", text: "Cranberry juice" },
	{ value: "8", text: "Soda water" },
	{ value: "9", text: "Red Bull" }			
];

var selectSoftDrink = null;

var selectSoftDrinkOptions = [			
	{ value: "0", text: "Select soft drink" },
	{ value: "1", text: "Coca-Cola" },
	{ value: "2", text: "Diet Coca-Cola" },
	{ value: "3", text: "Lemonade" },
	{ value: "4", text: "Ginger beer" },
	{ value: "5", text: "Orange juice" },
	{ value: "6", text: "Apple juice" },
	{ value: "7", text: "Cranberry juice" },
	{ value: "8", text: "Soda water" },
	{ value: "9", text: "Red Bull" }			
];

var savedListSpiritMixer = [];
var savedListSoftDrink = [];
var savedListAddDrink = [];

var listSpiritMixer = [];
var listSoftDrink = [];
var listAddDrink = [];

var spiritMixerArea = null;
var softDrinkArea = null;

function init() {
	
     if (window.widget) {
        widget.setNavigationEnabled(false);
		widget.setDisplayPortrait();
        menu.hideSoftkeys();
    }
    uiManager = new UIManager();
    
	quitButton = createButton("quitButton", quitButtonClicked);
	
	splashView = new ListView("splashView", null);
    mainView = new ListView("mainView",null);
	mainView.addControl(new Label("menuLatestNews", null));
	dateLabel = new Label("latestNewsDate", null);
	dateLabel.setText("");
	mainView.addControl(dateLabel);
	newsLabel = new Label("latestNewsLabel", null);
	newsLabel.setText("");	
	mainView.addControl(newsLabel);
	mainView.addControl(createButton("latestNewsButton", latestNewsButtonClicked));
	mainView.addControl(barBrainButton = createButton("barBrainButton", barBrainButtonClicked));
	mainView.addControl(friendFlasherButton = createButton("friendFlasherButton", friendFlasherButtonClicked));
	mainView.addControl(festivalCalendarButton = createButton("festivalCalendarButton", festivalCalendarButtonClicked));
    mainView.addControl(quitButton);

    uiManager.setView(splashView);
	
	
	if(widget.preferenceForKey("flashColourIndex")){
		currentColourIndex=widget.preferenceForKey("flashColourIndex");
	} else {
		currentColourIndex = 0;
	}		
	getMainNews();
	setTimeout("uiManager.setView(mainView);", 2500);	
}

function quitButtonClicked(event) {
	window.close();	
}

function backButtonClicked(event){
	switch (uiManager.getView()) {
		case newsFeedView:
		uiManager.setView(mainView);
			break;
		case festivalCalendarView:
			uiManager.setView(mainView);
			break;
		case friendFlasherMenuView:
			uiManager.setView(mainView);
			break;
		case chooseFlasherColorView:
		showFriendFlasherMenuView();
		chooseFlasherColorView = null;
			break;
		case barBrainMenuView:
			uiManager.setView(mainView);
			break;
		case chooseDrinksView:
//		chooseDrinksQuantities = savedChooseDrinksQuantities;
		uiManager.setView(barBrainMenuView);
			break;
		case spiritMixerView:
			{
				listSpiritMixer = savedListSpiritMixer;
				chooseDrinksArea.contentElement.innerHTML = generateChooseDrinksTable();
				uiManager.setView(chooseDrinksView);			
			}
			break;
		case softDrinkOptionView:
			{
				listSoftDrink = savedListSoftDrink;
				chooseDrinksArea.contentElement.innerHTML = generateChooseDrinksTable();
				uiManager.setView(chooseDrinksView);
			}
			break;
		case addDrinkOptionView:
			{
				listAddDrink = savedListAddDrink;
				chooseDrinksArea.contentElement.innerHTML = generateChooseDrinksTable();
				uiManager.setView(chooseDrinksView);
			}
			break;
		case yourOrderView:
		if (ordeViewEnteredFromChooseDrinksView) {
			uiManager.setView(chooseDrinksView);
		}else {
			uiManager.setView(barBrainMenuView);
		}
			break;
			case flashView:
			if (chooseFlasherColorView != null) {
				uiManager.setView(chooseFlasherColorView);
			} else {
				showFriendFlasherMenuView();
			}
			break;
	}
}

	
	// Show main view.
	function showMainView(){
		uiManager.setView(mainView);
	}
	function latestNewsButtonClicked(event) {
		showLatestNewsView();
	}	
	function showLatestNewsView() {
		if(newsFeedView == null) {
			newsFeedView = new ListView("newsFeedView", null);
    		newsFirst = new Label("newsFirst", null);
    		newsFeedView.addControl(newsFirst);
    		newsFirst.setClassName(newsFirst.contentElement, "newsItem");			

			newsFeedView.addControl(new Label("footerCalendar",null));
			newsFeedView.addControl(createBackButton());
		}
		uiManager.setView(newsFeedView);
		getAllNews();
	}
	
	function getAllNews() {
		//alert('before fetch news');
		var efc = new EFestivalsClient();
		//alert('mid fetch news');
		efc.fetchXML(NEWS_LIST_FEED_URL, getNewsFeedResults);
		//alert('after fetch news');
	}
function getNewsFeedResults(event) {
	//alert('results');
    if (event.status == "ok") {
		renderCalendarListItems(newsFirst, event.items, "");
    }
    else {
        // show error message
        uiManager.showNotification(3000, "warning", "Connection error!<br/>Try again!");
    }
}		
	function barBrainButtonClicked(event){
		showBarBrainMenuView();
	}
	function friendFlasherButtonClicked(event){
		showFriendFlasherMenuView();
	}
	function festivalCalendarButtonClicked(event){
		showFestivalCalendarView();
	}
	function showNewsFeedView(){
		if (newsFeedView == null) {
			newsFeedView = new ListView("newsFeedView", null);
			newsFeedView.addControl(createBackButton());
		}
		uiManager.setView(newsFeedView);
	}
	
//function buildContentForCalendarItem(item, eventId){
//    //var href = "JavaScript:popupRate(" + eventId + "," + item.CountryID + ",'Resources/Flags50x25/" + item.Flag + ".png','" + item.CountryName + "')";
//    var content = "<table class=\"listItemTable\">";	
//    content += "<tr><td class=\"calendarListItemLeftCell\"><img src=\"Resources/calendar_event_icon.png";
//    content += "\"/></td>";
//    content += "<td class=\"calendarListItemRightCell\">";
//    content += "<table><tr><td class=\"listItemTitle\">"
//    content += item.itemTitle;
//    content += "</td></tr><tr><td class=\"listItemLink\">";
//    content += item.itemLink;
//    content += "</td></tr>";
//	content += "</table>";
//    content += "</td>";
//    content += "</tr></table>";
//    alert('content '+content);
//    return content;
//}	
function renderCalendarListItems(baseLabel, items, eventId){
    for (var i = 0; i < items.length; i++) {
        var item = items[i];
		        
        var listItem = new Label("calendarFirst" + i, null);
        baseLabel.contentElement.appendChild(listItem.controlElement);
        //alert('before '+i);
        listItem.contentElement.innerHTML = 
		
    "<table class=\"listItemTable\">" +	
    "<tr><td class=\"calendarListItemLeftCell\"><img src=\"Resources/calendar_event_icon.png" +
    "\"/></td>" +
    "<td class=\"calendarListItemRightCell\">" +
    "<table><tr><td class=\"listItemTitle\">" +
    item.itemTitle  +
    "</td></tr><tr><td class=\"listItemLink\">"  +
		
	'<a href=\"javascript:window.widget.openURL(\''+item.itemLink+'\');\"> read more </a>'
	 +
	 
    "</td></tr>" +
	"</table>" +
    "</td>" +
    "</tr></table>";		
		
		
		
		////"<table class=\"listItemTable\"></table>";//buildContentForItem(item, eventId);
       // alert('after '+i);
        listItem.setClassName(listItem.controlElement, "calendarItem");
var separator = new Label("calendarListSeparator", null);
		baseLabel.contentElement.appendChild(separator.controlElement);
		separator.setClassName(separator.controlElement, "calendarListSeparator");
    }    
}

function renderShortCalendarListItems(baseLabel, items, eventId){
    for (var i = 0; i < 20; i++) {
        var item = items[i];
		        
        var listItem = new Label("calendarFirst" + i, null);
        baseLabel.contentElement.appendChild(listItem.controlElement);
        //alert('before '+i);
        listItem.contentElement.innerHTML = 
		
    "<table class=\"listItemTable\">" +	
    "<tr><td class=\"calendarListItemLeftCell\"><img src=\"Resources/calendar_event_icon.png" +
    "\"/></td>" +
    "<td class=\"calendarListItemRightCell\">" +
    "<table><tr><td class=\"listItemTitle\">" +
    item.itemTitle  +
    "</td></tr><tr><td class=\"listItemLink\">"  +
		
	'<a href=\"javascript:window.widget.openURL(\''+item.itemLink+'\');\"> read more </a>'
	 +
	 
    "</td></tr>" +
	"</table>" +
    "</td>" +
    "</tr></table>";		
		
		
		
		////"<table class=\"listItemTable\"></table>";//buildContentForItem(item, eventId);
       // alert('after '+i);
        listItem.setClassName(listItem.controlElement, "calendarItem");
var separator = new Label("calendarListSeparator", null);
		baseLabel.contentElement.appendChild(separator.controlElement);
		separator.setClassName(separator.controlElement, "calendarListSeparator");
    }    
}


	function showFestivalCalendarView(){
		if (festivalCalendarView == null) {
			festivalCalendarView = new ListView("festivalCalendarView", null);
    		calendarFirst = new Label("calendarFirst", null);
    		festivalCalendarView.addControl(calendarFirst);
    		calendarFirst.setClassName(calendarFirst.contentElement, "calendarItem");			

			festivalCalendarView.addControl(new Label("footerCalendar",null));
			festivalCalendarView.addControl(createBackButton());
		}
		uiManager.setView(festivalCalendarView);
		getCalendar();
	}
	
	function getCalendar() {
		var efc = new EFestivalsClient();
		efc.fetchXML(CALENDAR_LIST_FEED_URL, getCalendarFeedResults);
		//alert('after fetch');
	}
	function getNews() {
		var efc = new EFestivalsClient();
		efc.fetchXML(NEWS_LIST_FEED_URL, getMainNewsUpdate);
		//alert('after fetch');
	}		
//	function getNewsCallback(event) {
//		alert('got new callback');
//	}
	function getMainNews() {
		var efc = new EFestivalsClient();
		efc.fetchXML(NEWS_LIST_FEED_URL, getMainNewsCallback);
		//alert('after fetch');
	}	
	function getMainNewsCallback(event) {
		//alert('got main news callback');
		if (event.status == "ok") {
			var date = event.items[0].itemPubDate;
			date = date.substring(date.indexOf(',')+2,date.indexOf('2010')+4);
			
			var day = date.substring(0, date.indexOf(' '));
			if(day.charAt(0) == '0') {
				day = day.substring(1, day.length);
			}
			date = date.substring(date.indexOf(' '),date.length);
			
		var postfix = "th";
  		if ((day==1)||(day==21)||(day==31))
   		postfix = "st";
  		else
   		if ((day==2)||(day==22))
    	postfix = "nd";
   		else
    	if ((day==3)||(day==23))
     	postfix = "rd";			
				dateLabel.setText(day+""+postfix+""+date);
				
				
				newsLabel.setText(event.items[0].itemTitle);
		}else {
        // show error message
        uiManager.showNotification(3000, "warning", "Connection error!<br/>Try again!");
    }
		
	}
function getCalendarFeedResults(event) {
	//alert('results');
    if (event.status == "ok") {
		//renderCalendarListItems(calendarFirst, event.items, "");
		renderShortCalendarListItems(calendarFirst, event.items, "");
   
    }
    else {
        // show error message
        uiManager.showNotification(3000, "warning", "Connection error!<br/>Try again!");
    }
}	
	function showFriendFlasherMenuView(){
//		if (friendFlasherMenuView == null) {
		
			friendFlasherMenuView = new ListView("friendFlasherMenuView", null);
			friendFlasherMenuView.addControl(createButton("switchToFlasherButton", switchToFlasherButtonClicked));
			friendFlasherMenuView.addControl(createButton("chooseColourButton", chooseColourButtonClicked));	
			friendFlasherMenuView.addControl(new Label("textFriendFlasher", null));
			friendFlasherMenuView.addControl(new Label("currentColour", null));
			friendFlasherMenuView.addControl(new Label("colourBlack", null));			
			friendFlasherMenuView.addControl(new Label(colourArray[currentColourIndex], null));
			var colourNameText = new Label("colourNameText", null);		
			colourNameText.setText(colourArrayNames[currentColourIndex]);	
			friendFlasherMenuView.addControl(colourNameText);
			friendFlasherMenuView.addControl(createBackButton());
//		}
		uiManager.setView(friendFlasherMenuView);
	}
	function chooseColourButtonClicked(event) {
		showChooseFlasherColorView();
	}
	function switchToFlasherButtonClicked(event) {
		showFlashView();
	}
	function showChooseFlasherColorView(){
		if (chooseFlasherColorView == null) {
			chooseFlasherColorView = new ListView("chooseFlasherColorView", null);
			chooseFlasherColorView.addControl(colorButtonArray[2] = createButton("colourRedButton", colourRedButtonClicked));
			chooseFlasherColorView.addControl(colorButtonArray[4] = createButton("colourOrangeButton", colourOrangeButtonClicked));
			chooseFlasherColorView.addControl(colorButtonArray[1] = createButton("colourYellowButton", colourYellowButtonClicked));
			chooseFlasherColorView.addControl(colorButtonArray[6] = createButton("colourGreenButton", colourGreenButtonClicked));
			chooseFlasherColorView.addControl(colorButtonArray[7] = createButton("colourBlueButton", colourBlueButtonClicked));
			chooseFlasherColorView.addControl(colorButtonArray[5] = createButton("colourIndigoButton", colourIndigoButtonClicked));
			chooseFlasherColorView.addControl(colorButtonArray[0] = createButton("colourPurpleButton", colourPurpleButtonClicked));
			chooseFlasherColorView.addControl(colorButtonArray[3] = createButton("colourPinkButton", colourPinkButtonClicked));												
			chooseFlasherColorView.addControl(createButton("okButton", chooseDrinksOKButtonClicked));
			chooseFlasherColorView.addControl(createBackButton());
		}
		
		selectColourButton(currentColourIndex);
		uiManager.setView(chooseFlasherColorView);
	}
	var currentColourIndex = 0;
	var colorButtonArray = new Array();
	function selectColourButton(index) {

		widget.setPreferenceForKey(index,"flashColourIndex");	

		currentColourIndex = index;
		for(var i = 0; i < colorButtonArray.length; i++) {

			colorButtonArray[i].setLocked(i == index);//
		}

	}
	
	function colourRedButtonClicked(event) {
		selectColourButton(2);
	}
	function colourOrangeButtonClicked(event) {
		selectColourButton(4);
	}
	function colourYellowButtonClicked(event) {
		selectColourButton(1);
	}
	function colourGreenButtonClicked(event) {
		selectColourButton(6);
	}
	function colourBlueButtonClicked(event) {
		selectColourButton(7);
	}
	function colourIndigoButtonClicked(event) {
		selectColourButton(5);
	}
	function colourPurpleButtonClicked(event) {
		selectColourButton(0);
	}
	function colourPinkButtonClicked(event) {
		selectColourButton(3);
	}
function chooseDrinksOKButtonClicked(event) {
	showFlashView();
}	
function showFlashView() {
		if (flashView == null) {
			flashView = new ListView("flashView", null);
			flashView.addControl;
			flashView.addControl(createBackButton());
		}
		flashView.rootElement.style.backgroundColor='#EFEFEF';
		uiManager.setView(flashView);
		flashBlinker();
}
var isColorSet = false;
var DELIMITER = '_';
var DELIMITER_B = '=';
function flashBlinker() {
	if(uiManager.getView() == flashView) {
		isColorSet = !isColorSet;
		if(isColorSet) {
			flashView.rootElement.style.backgroundColor = colourArrayValues[currentColourIndex];
		} else {
			flashView.rootElement.style.backgroundColor = colourArrayValues[colourArrayValues.length-1];
		}
		setTimeout("flashBlinker();", 300);
	}
}
	function showBarBrainMenuView(){
		
		/*
		widget.setPreferenceForKey("", "savedChooseDrinksQuantities");
		widget.setPreferenceForKey("", "savedListSpiritMixer");
		widget.setPreferenceForKey("", "savedListSoftDrink");
		widget.setPreferenceForKey("", "savedListAddDrink");
		*/
		
		if (barBrainMenuView == null) {
			barBrainMenuView = new ListView("barBrainMenuView", null);
			barBrainMenuView.addControl(createButton("chooseDrinksButton", chooseDrinksButtonClicked));
			barBrainMenuView.addControl(createButton("viewOrderMainButton", viewOrderButtonClicked));
			barBrainMenuView.addControl(createBackButton());
			
			
			
			if(widget.preferenceForKey("savedChooseDrinksQuantities")){
				try {
		var string = widget.preferenceForKey("savedChooseDrinksQuantities");
		//alert('loadinga:'+string);
		var currentTagTokens = string.split( DELIMITER );
		for (var i = 0; i < currentTagTokens.length; i++) {
			//alert('ta:'+currentTagTokens[i]);
			savedChooseDrinksQuantities[i] = chooseDrinksQuantities[i] = parseInt(currentTagTokens[i]);
		}
		}
		catch (e) {alert(e.message);}
	} 

			savedListSpiritMixer = [];
			listSpiritMixer = [];	
			if(widget.preferenceForKey("savedListSpiritMixer")){
				try {
					var string = widget.preferenceForKey("savedListSpiritMixer");
					//alert('loadingb:' + string);
					var currentTagTokens = string.split(DELIMITER);
					for (var i = 0; i < currentTagTokens.length; i++) {
						var currentTagSubTokens = currentTagTokens[i].split(DELIMITER_B);
						//alert('tba:' + currentTagSubTokens[0]);
						//alert('tbb:' + currentTagSubTokens[1]);
						var q = parseInt(currentTagSubTokens[1]);
						if (q != Number.NaN) {
							savedListSpiritMixer.push({
								text: currentTagSubTokens[0],
								quantity: q
							});
							listSpiritMixer.push({
								text: currentTagSubTokens[0],
								quantity: q
							});
						}
					}
				} catch (e) {alert(e.message);}
	} 
			savedListSoftDrink = [];
			listSoftDrink = [];
			if(widget.preferenceForKey("savedListSoftDrink")){
			try {
				var string = widget.preferenceForKey("savedListSoftDrink");
				//alert('loadingc:' + string);
				var currentTagTokens = string.split(DELIMITER);
				for (var i = 0; i < currentTagTokens.length; i++) {
					var currentTagSubTokens = currentTagTokens[i].split(DELIMITER_B);
						var q = parseInt(currentTagSubTokens[1]);
						if (q != Number.NaN) {
							savedListSoftDrink.push({
								text: currentTagSubTokens[0],
								quantity: q
							});
							listSoftDrink.push({
								text: currentTagSubTokens[0],
								quantity: q
							});
						}				}
			}
			catch (e) { alert(e.message);}
	} 
	savedListAddDrink = [];
	listAddDrink = [];
					if(widget.preferenceForKey("savedListAddDrink")){
						try {
							var string = widget.preferenceForKey("savedListAddDrink");
							//alert('loadingd:' + string);
							var currentTagTokens = string.split(DELIMITER);
							for (var i = 0; i < currentTagTokens.length; i++) {
								var currentTagSubTokens = currentTagTokens[i].split(DELIMITER_B);
						var q = parseInt(currentTagSubTokens[1]);
						if (q != Number.NaN) {
							savedListAddDrink.push({
								text: currentTagSubTokens[0],
								quantity: q
							});
							listAddDrink.push({
								text: currentTagSubTokens[0],
								quantity: q
							});
						}							}
						} catch (e) {alert(e.message);}
	} 
	
		}
		uiManager.setView(barBrainMenuView);
	}
	
	function chooseDrinksButtonClicked(event) {
	
		showChooseDrinksView();
	}
	
	function showChooseDrinksView(){
	
		if(chooseDrinksView == null) {
			chooseDrinksView = new ListView("chooseDrinksView", null);
			chooseDrinksView.addControl(new Label("tabTopOrder", null));
			chooseDrinksView.addControl(new Label("tabLineTop", null));
			chooseDrinksView.addControl(new Label("tabLineBottom", null));
			
			chooseDrinksArea = new Label("chooseDrinksArea", null);
			chooseDrinksArea.contentElement.innerHTML = generateChooseDrinksTable();
			chooseDrinksView.addControl(chooseDrinksArea);//
			chooseDrinksView.addControl(createButton("saveButton", saveDrinksButtonClicked));
			chooseDrinksView.addControl(createButton("viewOrderButton", viewOrderButtonClicked));
			chooseDrinksView.addControl(createBackButton());			
		}			
		uiManager.setView(chooseDrinksView);
	}
	function combineToString(list) {
		var string = "";
		for(var i = 0; i < list.length; i++) {
			string += list[i].text + DELIMITER_B+list[i].quantity+ DELIMITER_B + (i<list.length-1?DELIMITER:"");
		}
		return string;
	}
	function saveDrinksButtonClicked(event) {
		switch(uiManager.getView()) {
			case chooseDrinksView:
				savedChooseDrinksQuantities = chooseDrinksQuantities; 
		var string = "";
		for(var i = 0; i < savedChooseDrinksQuantities.length; i++) {
			string += savedChooseDrinksQuantities[i]+DELIMITER;
		}		
		widget.setPreferenceForKey(string, "savedChooseDrinksQuantities");	
		//alert('saved:'+string);	
			break;
			case spiritMixerView:
			{
				savedListSpiritMixer = listSpiritMixer;
				widget.setPreferenceForKey(combineToString(savedListSpiritMixer), "savedListSpiritMixer");
				//alert('saved:'+combineToString(savedListSpiritMixer));	
				chooseDrinksArea.contentElement.innerHTML = generateChooseDrinksTable();				
				uiManager.setView(chooseDrinksView);
			}
			break;	
			case softDrinkOptionView:
			{
				savedListSoftDrink = listSoftDrink;
				widget.setPreferenceForKey(combineToString(savedListSoftDrink), "savedListSoftDrink");
				//alert('saved:'+combineToString(savedListSoftDrink));
				chooseDrinksArea.contentElement.innerHTML = generateChooseDrinksTable();
				uiManager.setView(chooseDrinksView);	
			}			
			break;
			case addDrinkOptionView:
			{
				savedListAddDrink = listAddDrink;
				widget.setPreferenceForKey(combineToString(savedListAddDrink), "savedListAddDrink");
				//alert('saved:'+combineToString(savedListAddDrink));
				chooseDrinksArea.contentElement.innerHTML = generateChooseDrinksTable();
				uiManager.setView(chooseDrinksView);
			}
			break;					
		}
	}
	var ordeViewEnteredFromChooseDrinksView;
	function viewOrderButtonClicked(event) {
		switch(uiManager.getView()) {
			case barBrainMenuView:
			ordeViewEnteredFromChooseDrinksView = false;
			showYourOrderView();
			break;
			case chooseDrinksView:
			ordeViewEnteredFromChooseDrinksView = true;
			showYourOrderView();
			break;
		}
	}
	
	function showSpiritMixerView(){
		if(spiritMixerView == null) {
			spiritMixerView = new ListView("spiritMixerView", null);
			spiritMixerView.addControl(new Label("headerChooseSpiritMixer", null));
			spiritMixerView.addControl(new Label("tabLineTop", null));
			selectSpirit = new SelectionMenu("selectSpirit", null, selectSpiritOptions, false, selectSpiritOptions[0])						
			spiritMixerView.addControl(selectSpirit);
			selectSpirit.setClassName(selectSpirit.peerElement, "selectSpirit");
			selectSpirit.addEventListener("SelectionChanged", spiritSelected);
			selectMixer = new SelectionMenu("selectMixer", null, selectMixerOptions, false, selectMixerOptions[0])						
			spiritMixerView.addControl(selectMixer);			
			selectMixer.setClassName(selectMixer.peerElement, "selectMixer");
			selectMixer.addEventListener("SelectionChanged", mixerSelected);
			spiritMixerView.addControl(new Label("tabLineLower", null));
			
			spiritMixerArea = new Label("spiritMixerArea", null);
			spiritMixerArea.contentElement.innerHTML = generateSpiritMixerTable();
			spiritMixerView.addControl(spiritMixerArea);//
			spiritMixerView.addControl(new Label("tabLineBottom", null));
			spiritMixerView.addControl(createButton("addButton", addSpiritMixerButtonClicked));
			spiritMixerView.addControl(createButton("saveButton", saveDrinksButtonClicked));
			spiritMixerView.addControl(createBackButton());
		}		
		selectSpirit.setSelected(selectSpiritOptions[0]);
		selectMixer.setSelected(selectMixerOptions[0]);
		spiritMixerArea.contentElement.innerHTML = generateSpiritMixerTable();
		uiManager.setView(spiritMixerView);		
	}
	
	function showSoftDrinkOptionView(){
		if(softDrinkOptionView == null) {
			softDrinkOptionView = new ListView("softDrinkOptionView", null);
			softDrinkOptionView.addControl(new Label("headerChooseSoftDrink", null));
			softDrinkOptionView.addControl(new Label("tabLineTop", null));	
			selectSoftDrink = new SelectionMenu("selectSoftDrink", null, selectSoftDrinkOptions, false, selectSoftDrinkOptions[0])						
			softDrinkOptionView.addControl(selectSoftDrink);
			selectSoftDrink.setClassName(selectSoftDrink.peerElement, "selectSoftDrink");
			selectSoftDrink.addEventListener("SelectionChanged", softDrinkSelected);
					
			softDrinkOptionView.addControl(new Label("tabLineLower", null));
			
			softDrinkArea = new Label("softDrinkArea", null);
			softDrinkArea.contentElement.innerHTML = generateSoftDrinkTable();
			softDrinkOptionView.addControl(softDrinkArea);//
		
			softDrinkOptionView.addControl(new Label("tabLineBottom", null));			
			softDrinkOptionView.addControl(createButton("addButton", addSoftDrinkOptionClicked));
			softDrinkOptionView.addControl(createButton("saveButton", saveDrinksButtonClicked));
			softDrinkOptionView.addControl(createBackButton());
		}
		selectSoftDrink.setSelected(selectSoftDrinkOptions[0]);
		softDrinkArea.contentElement.innerHTML = generateSoftDrinkTable();
		uiManager.setView(softDrinkOptionView);
	}
	var drinkNameField;
	function showAddDrinkOptionView(){
		//if(addDrinkOptionView == null) {
			addDrinkOptionView = new ListView("addDrinkOptionView", null);
			addDrinkOptionView.addControl(new Label("headerAddDrink", null));
			addDrinkOptionView.addControl(new Label("tabLineTop", null));
			
			addDrinkOptionView.addControl(drinkNameField = new TextField("drinkNameField", null), null);
			
			addDrinkOptionView.addControl(new Label("tabLineLower", null));
			
			var addDrinksArea = new Label("addDrinksArea", null);
			addDrinksArea.contentElement.innerHTML = generateAddDrinkTable();
			addDrinkOptionView.addControl(addDrinksArea);//			
			
			addDrinkOptionView.addControl(new Label("tabLineBottom", null));			
			addDrinkOptionView.addControl(createButton("addButton", addDrinkOptionClicked));
			addDrinkOptionView.addControl(createButton("saveButton", saveDrinksButtonClicked));
			addDrinkOptionView.addControl(createBackButton());
		//}
		uiManager.setView(addDrinkOptionView);
	}
	
	function addDrinkOptionClicked(event) {
		var string = drinkNameField.getText();
		string = string.replace(/DELIMITER/g,'');
		string = string.replace(/DELIMITER_B/g,'');
		if (string.length < 1) {
			alert('Fill in drink name');
		}		else {
			//alert('adding ' + drinkNameField.getText());
			listAddDrink.push({text: string, quantity: 1});////////////////////////////
//			addDrinksQuantities[addDrinksQuantities.length] = 1;
//			addDrinksNames[addDrinksNames.length] = drinkNameField.getText();
			showAddDrinkOptionView();
		}
	}
	
function generateAddDrinkTable(){
    var myTable = '<div id="addDrinksTable"><table border="0" cellspacing="0" cellpadding="0">';// 
	for (var i = 0; i < listAddDrink.length; i++) {
		myTable += generateRow("addDrinksText", "tabRemoveButton", "<a href='JavaScript:subAddDrinksQuantity("+i+");'>", "tabQuantity", "tabAddButton", "<a href='JavaScript:addAddDrinksQuantity("+i+");'>", "tabQuantityDiv", "adq"+i, listAddDrink[i].quantity, listAddDrink[i].text);
		myTable += generateSingleRow("rowSeparator");
	}
    myTable += '</table></div>';
    return myTable;
}		
function addAddDrinksQuantity(index)
{
//	addDrinksQuantities[index]++;
//	if (addDrinksQuantities[index] > 99)
//		addDrinksQuantities[index] = 99;
	listAddDrink[index].quantity++;
	if (listAddDrink[index].quantity > 99)
		listAddDrink[index].quantity = 99;		
	var quantityDiv = document.getElementById("adq" + index);
	quantityDiv.innerHTML = listAddDrink[index].quantity;	
}	

function subAddDrinksQuantity(index)
{
//	addDrinksQuantities[index]--;
//	if (addDrinksQuantities[index] < 0) {
//		var tmpQuantitiesArray = new Array();
//		var tmpDrinksNames = new Array();
//		for(var i = 0; i < index; i++) {
//			tmpQuantitiesArray[i] = addDrinksQuantities[i];
//			tmpDrinksNames[i] = addDrinksNames[i];
//		}
//		if (index < addDrinksQuantities.length - 1) {
//			for (var i = index+1; i < addDrinksQuantities.length; i++) {
//				tmpQuantitiesArray[i-1] = addDrinksQuantities[i];
//				tmpDrinksNames[i-1] = addDrinksNames[i];
//			}
//		}
//		addDrinksQuantities = tmpQuantitiesArray;
//		addDrinksNames = tmpDrinksNames;
	listAddDrink[index].quantity--;
	if (listAddDrink[index].quantity <= 0) {
		var tmpListAddDrink = [];
		for(var i = 0; i < index; i++) {
			tmpListAddDrink[i] = listAddDrink[i];
		}
		if (index < listAddDrink.length - 1) {
			for (var i = index+1; i < listAddDrink.length; i++) {
				tmpListAddDrink[i-1] = listAddDrink[i];
			}
		}
		listAddDrink = tmpListAddDrink;		
		showAddDrinkOptionView();
		return;
		//addDrinksQuantities[index] = 0;
	}
	var quantityDiv = document.getElementById("adq" + index);
	quantityDiv.innerHTML = listAddDrink[index].quantity;		
}	
	function showYourOrderView(){
		if(yourOrderView == null) {
			yourOrderView = new ListView("yourOrderView", null);
			yourOrderView.addControl(new Label("headerYourOrder", null));
			//yourOrderView.addControl(new Label("tapDrinksToChangeOrder", null));
			yourOrderView.addControl(new Label("tabLineTop", null));
			
			yourOrderArea = new Label("yourOrderArea", null);
			yourOrderArea.contentElement.innerHTML = generateYourOrderTable();
			yourOrderView.addControl(yourOrderArea);//

			yourOrderView.addControl(new Label("tabLineTotal", null));
			yourOrderView.addControl(new Label("tabTotal", null));
			tabOrderTotalQuantity = new Label("tabOrderTotalQuantity", null, orderTotalQuantity);
			yourOrderView.addControl(tabOrderTotalQuantity);
			yourOrderView.addControl(new Label("tabLineBottom", null));
			yourOrderView.addControl(createButton("clearButton", clearButtonClicked));
			yourOrderView.addControl(createButton("changeOrderButton", changeOrderButtonClicked));
			yourOrderView.addControl(createBackButton());
		}
		else{
			yourOrderArea.contentElement.innerHTML = generateYourOrderTable();
			tabOrderTotalQuantity.setText(orderTotalQuantity);
		}
		uiManager.setView(yourOrderView);	
	}
function addSoftDrinkOptionClicked(event) {
	var soft = selectSoftDrink.getSelected();
	if (soft.value==0)
	{
		alert("Please select soft drink!");
		return;
	}
	
	listSoftDrink.push({text: soft.text, quantity: 1});
	// refresh the table
	softDrinkArea.contentElement.innerHTML = generateSoftDrinkTable();
	selectSoftDrink.setSelected(selectSoftDrinkOptions[0]);			
}
	
function spiritSelected(event) {
	//alert(selectSpirit.getSelected().value);
}

function mixerSelected(event) {
	//alert(selectMixer.getSelected().value);
}
	
function softDrinkSelected(event) {
	//alert(selectSoftDrink.getSelected().value);
}
	
function addSpiritMixerButtonClicked(event) {
	var spirit = selectSpirit.getSelected();
	var mixer = selectMixer.getSelected();
	if ((spirit.value==0) || (mixer.value==0))
	{
		alert("Please select spirit and mixer!");
		return;
	}
	
	var text = spirit.text + ' + ' + mixer.text;
	listSpiritMixer.push({text: text, quantity: 1});
	// refresh the table
	spiritMixerArea.contentElement.innerHTML = generateSpiritMixerTable();
	selectSpirit.setSelected(selectSpiritOptions[0]);	
	selectMixer.setSelected(selectMixerOptions[0]);
}

function clearButtonClicked(event) {
	for (var i=0; i<6; i++)
	{
		chooseDrinksQuantities[i] = 0;
		listSpiritMixer = [];
		listSoftDrink = [];
		listAddDrink = [];
		savedListSpiritMixer = [];
		savedListSoftDrink = [];
		savedListAddDrink = [];		
	}
	chooseDrinksArea.contentElement.innerHTML = generateChooseDrinksTable();	
	showYourOrderView();
}

function changeOrderButtonClicked(event) {
	//alert('changeOrderButtonClicked');
	showChooseDrinksView();
}

	function createBackButton(){
		var button = new OwnButton("backButton", null);
		button.addEventListener("ActionPerformed",backButtonClicked);
		return button;		
	}
	function createButton(id, action){
		var button = new OwnButton(id, null);
		button.addEventListener("ActionPerformed",action);
		return button;
	}	
	
	function generateRow(left, middleLeft, middleLeftHref, middleRight, right, rightHref, valueDiv, valueDivId, value, leftHTML) {
		var myTable = "";
        myTable += '<tr>';            
            myTable += '<td>';
            myTable += "<div class=\"" + left + "\">"+(leftHTML!=null?leftHTML:"")+"</div>";
            myTable += '</td>';

            myTable += '<td>';
			myTable +=(middleLeftHref!=null?middleLeftHref:"");
            myTable += "<div class=\"" + middleLeft + "\"></div>";
			myTable +=(middleLeftHref!=null?"</a>":"");
            myTable += '</td>';

            myTable += '<td>';
            myTable += "<div class=\"" + middleRight + "\"><div id=\"" + valueDivId + "\" class=\"" + valueDiv + "\">" + value + "</div></div>";
            myTable += '</td>';
			
            myTable += '<td>';
			myTable +=(rightHref!=null?rightHref:"");
            myTable += "<div class=\"" + right + "\"</div>";
			myTable +=(rightHref!=null?"</a>":"");
            myTable += '</td>';			

        myTable += '</tr>';	
		return myTable;	
	}
	function generateSingleRow(element) {
		var myTable = "";
        myTable += '<tr>';            
            myTable += '<td colspan="4">';
            myTable += "<div class=\"" + element + "\"</div>";
            myTable += '</td>';			
        myTable += '</tr>';	
		return myTable;	
	}	

var chooseDrinksQuantityId = "chooseDrinksQuantityId";

function addChooseDrinksQuantity(index)
{
	chooseDrinksQuantities[index]++;
	if (chooseDrinksQuantities[index] > 99)
		chooseDrinksQuantities[index] = 99;
	var quantityDiv = document.getElementById("cdq" + index);
	quantityDiv.innerHTML = chooseDrinksQuantities[index];		
}	

function subChooseDrinksQuantity(index)
{
	chooseDrinksQuantities[index]--;
	if (chooseDrinksQuantities[index] < 0)
		chooseDrinksQuantities[index] = 0;
	var quantityDiv = document.getElementById("cdq" + index);
	quantityDiv.innerHTML = chooseDrinksQuantities[index];		
}
	
function generateChooseDrinksTable(){
    var myTable = '<div id="chooseDrinksTable"><table border="0" cellspacing="0" cellpadding="0">';// 
	
	myTable += generateRow("tabLager", "tabRemoveButton", "<a href='JavaScript:subChooseDrinksQuantity(0);'>", "tabQuantity", "tabAddButton", "<a href='JavaScript:addChooseDrinksQuantity(0);'>", "tabQuantityDiv", "cdq0", chooseDrinksQuantities[0], null);
	myTable += generateSingleRow("tabLineSmall");
	myTable += generateRow("tabBitter", "tabRemoveButton", "<a href='JavaScript:subChooseDrinksQuantity(1);'>", "tabQuantity", "tabAddButton", "<a href='JavaScript:addChooseDrinksQuantity(1);'>", "tabQuantityDiv", "cdq1", chooseDrinksQuantities[1], null);
	myTable += generateSingleRow("tabLineSmall");
	myTable += generateRow("tabCider", "tabRemoveButton","<a href='JavaScript:subChooseDrinksQuantity(2);'>",  "tabQuantity", "tabAddButton", "<a href='JavaScript:addChooseDrinksQuantity(2);'>", "tabQuantityDiv", "cdq2", chooseDrinksQuantities[2], null);
	myTable += generateSingleRow("tabLineSmall");
	myTable += generateRow("tabRedWine", "tabRemoveButton","<a href='JavaScript:subChooseDrinksQuantity(3);'>", "tabQuantity", "tabAddButton", "<a href='JavaScript:addChooseDrinksQuantity(3);'>", "tabQuantityDiv", "cdq3", chooseDrinksQuantities[3], null);
	myTable += generateSingleRow("tabLineSmall");
	myTable += generateRow("tabWhiteWine", "tabRemoveButton","<a href='JavaScript:subChooseDrinksQuantity(4);'>",  "tabQuantity", "tabAddButton", "<a href='JavaScript:addChooseDrinksQuantity(4);'>", "tabQuantityDiv", "cdq4", chooseDrinksQuantities[4], null);
	myTable += generateSingleRow("tabLineSmall");
	myTable += generateRow("tabWater", "tabRemoveButton", "<a href='JavaScript:subChooseDrinksQuantity(5);'>", "tabQuantity", "tabAddButton", "<a href='JavaScript:addChooseDrinksQuantity(5);'>", "tabQuantityDiv", "cdq5", chooseDrinksQuantities[5], null);
	myTable += generateSingleRow("tabLineBig");
	myTable += generateRow("tabSpirit", "tabEmptyButton",null, "tabQuantity", "tabArrowButton", "<a href='JavaScript:showSpiritMixerView()'>", "tabQuantityDiv", "cdq6", getSpiritMixerQuantities(), null);
	myTable += generateSingleRow("tabLineSmall");
	myTable += generateRow("tabSoftDrink", "tabEmptyButton", null, "tabQuantity", "tabArrowButton", "<a href='JavaScript:showSoftDrinkOptionView()'>", "tabQuantityDiv", "cdq7", getSoftDrinkQuantities(), null);
	myTable += generateSingleRow("tabLineSmall");
	myTable += generateRow("tabAddDrink", "tabEmptyButton", null,"tabQuantity", "tabArrowButton", "<a href='JavaScript:showAddDrinkOptionView()'>", "tabQuantityDiv", "cdq8", getAddDrinkQuantities(), null);

    myTable += '</table></div>';
    return myTable;
}	

function getSpiritMixerQuantities()
{
	var quantities = 0;
	for (var i=0; i<savedListSpiritMixer.length; i++)
		quantities += savedListSpiritMixer[i].quantity;
	
	return quantities;
}

function getSoftDrinkQuantities()
{
	var quantities = 0;
	for (var i=0; i<savedListSoftDrink.length; i++)
		quantities += savedListSoftDrink[i].quantity;
	
	return quantities;	
}

function getAddDrinkQuantities()
{
	var quantities = 0;
	for (var i=0; i<savedListAddDrink.length; i++)
		quantities += savedListAddDrink[i].quantity;
	
	return quantities;	
//	addDrinksQuantities
//	return "?";
}

function addSpiritMixerQuantity(index)
{
	var item = listSpiritMixer[index];
	item.quantity++;
	if (item.quantity > 99)
		item.quantity = 99;
	// refresh the table
	spiritMixerArea.contentElement.innerHTML = generateSpiritMixerTable();		
}

function subSpiritMixerQuantity(index)
{
	var item = listSpiritMixer[index];
	item.quantity--;
	if (item.quantity < 0)
		item.quantity = 0;
	// refresh the table
	spiritMixerArea.contentElement.innerHTML = generateSpiritMixerTable();		
}
	
function generateSpiritMixerTable() {
    var myTable = '<div id="spiritMixerTable"><table border="0" cellspacing="0" cellpadding="0">'; 

    for (var i = 0; i < this.listSpiritMixer.length; i++) {
		var item = listSpiritMixer[i];
		if (item.quantity<=0)
			continue;
        myTable += '<tr>';            
            myTable += '<td>';
            myTable += '<div class="spiritMixerText">' + item.text + '</div>';
            myTable += '</td>';

            myTable += '<td><a href="javascript:subSpiritMixerQuantity(' + i + ');">';
            myTable += '<div class="tabRemoveButton"></div>';
            myTable += '</a></td>';
			
            myTable += '<td>';
            myTable += '<div class="tabQuantity"><div class="tabQuantityDiv">' + item.quantity + '</div></div>';
            myTable += '</a>';			
			
            myTable += '<td><a href="javascript:addSpiritMixerQuantity(' + i + ');">';
            myTable += '<div class="tabAddButton"></div>';
            myTable += '</a></td>';						
        myTable += '</tr>';		
		
		myTable += generateSingleRow("rowSeparator");			
	}		
    myTable += '</table></div>';
    return myTable;	
}


function addSoftDrinkQuantity(index)
{
	var item = listSoftDrink[index];
	item.quantity++;
	if (item.quantity > 99)
		item.quantity = 99;
	// refresh the table
	softDrinkArea.contentElement.innerHTML = generateSoftDrinkTable();		
}

function subSoftDrinkQuantity(index)
{
	var item = listSoftDrink[index];
	item.quantity--;
	if (item.quantity < 0)
		item.quantity = 0;
	// refresh the table
	softDrinkArea.contentElement.innerHTML = generateSoftDrinkTable();		
}

function generateSoftDrinkTable() {
    var myTable = '<div id="softDrinkTable"><table border="0" cellspacing="0" cellpadding="0">'; 

    for (var i = 0; i < this.listSoftDrink.length; i++) {
		var item = listSoftDrink[i];
		if (item.quantity<=0)
			continue;
        myTable += '<tr>';            
            myTable += '<td>';
            myTable += '<div class="softDrinkText">' + item.text + '</div>';
            myTable += '</td>';

            myTable += '<td><a href="javascript:subSoftDrinkQuantity(' + i + ');">';
            myTable += '<div class="tabRemoveButton"></div>';
            myTable += '</a></td>';
			
            myTable += '<td>';
            myTable += '<div class="tabQuantity"><div class="tabQuantityDiv">' + item.quantity + '</div></div>';
            myTable += '</a>';			
			
            myTable += '<td><a href="javascript:addSoftDrinkQuantity(' + i + ');">';
            myTable += '<div class="tabAddButton"></div>';
            myTable += '</a></td>';						
        myTable += '</tr>';		
		
		myTable += generateSingleRow("rowSeparator");			
	}		
    myTable += '</table></div>';
    return myTable;
}


function generateYourOrderTable() {
	orderTotalQuantity = 0;
    var myTable = '<div id="yourOrderTable"><table border="0" cellspacing="0" cellpadding="0">';

	if (chooseDrinksQuantities[0] > 0) {
		myTable += generateYourOrderRow("tabLager", null, chooseDrinksQuantities[0]);
		myTable += generateSingleRow("tabLineSmall");
		orderTotalQuantity += parseInt(chooseDrinksQuantities[0]);
	}

	if (chooseDrinksQuantities[1] > 0) {
		myTable += generateYourOrderRow("tabBitter", null, chooseDrinksQuantities[1]);
		myTable += generateSingleRow("tabLineSmall");
		orderTotalQuantity += parseInt(chooseDrinksQuantities[1]);
	}

	if (chooseDrinksQuantities[2] > 0) {
		myTable += generateYourOrderRow("tabCider", null, chooseDrinksQuantities[2]);
		myTable += generateSingleRow("tabLineSmall");
		orderTotalQuantity += parseInt(chooseDrinksQuantities[2]);
	}

	if (chooseDrinksQuantities[3] > 0) {
		myTable += generateYourOrderRow("tabRedWine", null, chooseDrinksQuantities[3]);
		myTable += generateSingleRow("tabLineSmall");
		orderTotalQuantity += parseInt(chooseDrinksQuantities[3]);
	}
	
	if (chooseDrinksQuantities[4] > 0) {
		myTable += generateYourOrderRow("tabWhiteWine", null, chooseDrinksQuantities[4]);
		myTable += generateSingleRow("tabLineSmall");
		orderTotalQuantity += parseInt(chooseDrinksQuantities[4]);
	}
	
	if (chooseDrinksQuantities[5] > 0) {
		myTable += generateYourOrderRow("tabWater", null, chooseDrinksQuantities[5]);
		myTable += generateSingleRow("tabLineSmall");
		orderTotalQuantity += parseInt(chooseDrinksQuantities[5]);
	}
	
	// check Spirit/Mixer quantities
	var headerAdded = false;
	for (var i = 0; i < savedListSpiritMixer.length; i++) {
		var item = savedListSpiritMixer[i];
		if (item.quantity>0)
		{
			if (!headerAdded)
			{
				myTable += generateYourOrderRow("tabSpirit", null, null);
				headerAdded = true;
			}
			
			myTable += generateYourOrderRow("yourOrderText", item.text, item.quantity);
			orderTotalQuantity += parseInt(item.quantity);
		}
	}	
	if (headerAdded)
		myTable += generateSingleRow("tabLineSmall");
	// check Soft Drinks quantities
	headerAdded = false;
	for (var i=0; i<savedListSoftDrink.length; i++) {
		var item = savedListSoftDrink[i];	
		if (item.quantity>0)
		{
			if (!headerAdded)
			{
				myTable += generateYourOrderRow("tabSoftDrink", null, null);
				headerAdded = true;
			}
			
			myTable += generateYourOrderRow("yourOrderText", item.text, item.quantity);
			orderTotalQuantity += parseInt(item.quantity);			
		}		
	}

	if (headerAdded)
		myTable += generateSingleRow("tabLineSmall");

	// check Add Drinks quantities
	headerAdded = false;
	for (var i=0; i<savedListAddDrink.length; i++) {
		var item = savedListAddDrink[i];
		if (item.quantity>0)
		{
			if (!headerAdded)
			{
				myTable += generateYourOrderRow("tabAddDrink", null, null);
				headerAdded = true;
			}
			
			myTable += generateYourOrderRow("yourOrderText", item.text, item.quantity);
			orderTotalQuantity += parseInt(item.quantity);
		}		
	}		

	if (headerAdded)
		myTable += generateSingleRow("tabLineSmall");
	
    myTable += '</table></div>';
    return myTable;
}

function generateYourOrderRow(label, text, quantity)
{
	var myTable = '<tr>';            
            myTable += '<td collspan="3" class="yourOrderLabel">';
            myTable += '<div class="' + label + '">' + ((text!=null)?'<ul><li>' +text + '</li>':'</ul>') + '</div>';
            myTable += '</td>';
			
            myTable += '<td><div class="yourOrderQuantity">';
			myTable += ((quantity!=null)?'x ' + quantity:'');
            myTable += '</div></td>';			
        myTable += '</tr>';
	return myTable;		
}
